<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-277"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%2FUsers%2Fscar1900%2FDeveloper%2FXHXKit%2FXHXKit%2FClasses%2FXHXCakeView%2FXHXCakeItemView.h%20%E6%BA%90%E6%96%87%E4%BB%B6"></a><title>XHXKit: /Users/scar1900/Developer/XHXKit/XHXKit/Classes/XHXCakeView/XHXCakeItemView.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_x_h_x_cake_item_view_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">XHXCakeItemView.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_x_h_x_cake_item_view_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&nbsp;<span class="comment">//  XHXCakeItemView.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&nbsp;<span class="comment">//  XHXKit</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&nbsp;<span class="comment">//  Created by Leovir on 2019/2/26.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&nbsp; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&nbsp;<span class="preprocessor">#import &lt;UIKit/UIKit.h&gt;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&nbsp; </div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&nbsp; </div>
<div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="interface_x_h_x_cake_item_view.html">   11</a></span>&nbsp;<span class="keyword">@interface </span><a class="code" href="interface_x_h_x_cake_item_view.html">XHXCakeItemView</a> : UIView</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&nbsp; </div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="interface_x_h_x_cake_item_view.html#a24695211dc1249b08395e052e6f05aa3">   13</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, strong) UIView *<a class="code" href="interface_x_h_x_cake_item_view.html#a24695211dc1249b08395e052e6f05aa3">dot</a>;</div>
<div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="interface_x_h_x_cake_item_view.html#ad5e0dd074d5643c5eedfb34a91dcc93d">   14</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, strong) UILabel *<a class="code" href="interface_x_h_x_cake_item_view.html#ad5e0dd074d5643c5eedfb34a91dcc93d">nameLabel</a>;</div>
<div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="interface_x_h_x_cake_item_view.html#a1b9087a0802852ad0904680d945b672d">   15</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, strong) UILabel *<a class="code" href="interface_x_h_x_cake_item_view.html#a1b9087a0802852ad0904680d945b672d">scoreLabel</a>;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&nbsp; </div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="interface_x_h_x_cake_item_view.html#a47ccdc034ecd36bab23cb18df33828ce">   17</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, strong) UIColor *<a class="code" href="interface_x_h_x_cake_item_view.html#a47ccdc034ecd36bab23cb18df33828ce">defaultColor</a>;</div>
<div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="interface_x_h_x_cake_item_view.html#a916eb95a37b4b4b39d6bdfd4b50bd363">   18</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, strong) UIColor *<a class="code" href="interface_x_h_x_cake_item_view.html#a916eb95a37b4b4b39d6bdfd4b50bd363">tintColor</a>;</div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="interface_x_h_x_cake_item_view.html#ae21b213280f77b6ae12b5a63cafff70b">   19</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, strong) UIColor *<a class="code" href="interface_x_h_x_cake_item_view.html#ae21b213280f77b6ae12b5a63cafff70b">textColor</a>;</div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="interface_x_h_x_cake_item_view.html#afe590dd568714d72cec84198721e48a4">   20</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign) BOOL <a class="code" href="interface_x_h_x_cake_item_view.html#afe590dd568714d72cec84198721e48a4">picked</a>;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&nbsp; </div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="interface_x_h_x_cake_item_view.html#a02ff71f5bbc9c142f6254b27f0580a95">   22</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign) BOOL <a class="code" href="interface_x_h_x_cake_item_view.html#a02ff71f5bbc9c142f6254b27f0580a95">darkMode</a>;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&nbsp; </div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&nbsp;<span class="keyword">@end</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&nbsp; </div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="ainterface_x_h_x_cake_item_view_html_afe590dd568714d72cec84198721e48a4"><div class="ttname"><a href="interface_x_h_x_cake_item_view.html#afe590dd568714d72cec84198721e48a4">XHXCakeItemView::picked</a></div><div class="ttdeci">BOOL picked</div><div class="ttdef"><b>Definition:</b> XHXCakeItemView.h:20</div></div>
<div class="ttc" id="ainterface_x_h_x_cake_item_view_html_ad5e0dd074d5643c5eedfb34a91dcc93d"><div class="ttname"><a href="interface_x_h_x_cake_item_view.html#ad5e0dd074d5643c5eedfb34a91dcc93d">XHXCakeItemView::nameLabel</a></div><div class="ttdeci">UILabel * nameLabel</div><div class="ttdef"><b>Definition:</b> XHXCakeItemView.h:14</div></div>
<div class="ttc" id="ainterface_x_h_x_cake_item_view_html_a24695211dc1249b08395e052e6f05aa3"><div class="ttname"><a href="interface_x_h_x_cake_item_view.html#a24695211dc1249b08395e052e6f05aa3">XHXCakeItemView::dot</a></div><div class="ttdeci">UIView * dot</div><div class="ttdef"><b>Definition:</b> XHXCakeItemView.h:13</div></div>
<div class="ttc" id="ainterface_x_h_x_cake_item_view_html_ae21b213280f77b6ae12b5a63cafff70b"><div class="ttname"><a href="interface_x_h_x_cake_item_view.html#ae21b213280f77b6ae12b5a63cafff70b">XHXCakeItemView::textColor</a></div><div class="ttdeci">UIColor * textColor</div><div class="ttdef"><b>Definition:</b> XHXCakeItemView.h:19</div></div>
<div class="ttc" id="ainterface_x_h_x_cake_item_view_html_a02ff71f5bbc9c142f6254b27f0580a95"><div class="ttname"><a href="interface_x_h_x_cake_item_view.html#a02ff71f5bbc9c142f6254b27f0580a95">XHXCakeItemView::darkMode</a></div><div class="ttdeci">BOOL darkMode</div><div class="ttdef"><b>Definition:</b> XHXCakeItemView.h:22</div></div>
<div class="ttc" id="ainterface_x_h_x_cake_item_view_html_a916eb95a37b4b4b39d6bdfd4b50bd363"><div class="ttname"><a href="interface_x_h_x_cake_item_view.html#a916eb95a37b4b4b39d6bdfd4b50bd363">XHXCakeItemView::tintColor</a></div><div class="ttdeci">UIColor * tintColor</div><div class="ttdef"><b>Definition:</b> XHXCakeItemView.h:18</div></div>
<div class="ttc" id="ainterface_x_h_x_cake_item_view_html_a47ccdc034ecd36bab23cb18df33828ce"><div class="ttname"><a href="interface_x_h_x_cake_item_view.html#a47ccdc034ecd36bab23cb18df33828ce">XHXCakeItemView::defaultColor</a></div><div class="ttdeci">UIColor * defaultColor</div><div class="ttdef"><b>Definition:</b> XHXCakeItemView.h:17</div></div>
<div class="ttc" id="ainterface_x_h_x_cake_item_view_html"><div class="ttname"><a href="interface_x_h_x_cake_item_view.html">XHXCakeItemView</a></div><div class="ttdef"><b>Definition:</b> XHXCakeItemView.h:12</div></div>
<div class="ttc" id="ainterface_x_h_x_cake_item_view_html_a1b9087a0802852ad0904680d945b672d"><div class="ttname"><a href="interface_x_h_x_cake_item_view.html#a1b9087a0802852ad0904680d945b672d">XHXCakeItemView::scoreLabel</a></div><div class="ttdeci">UILabel * scoreLabel</div><div class="ttdef"><b>Definition:</b> XHXCakeItemView.h:15</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d522931ffa1371640980b621734a4381.html">Users</a></li><li class="navelem"><a class="el" href="dir_2f48480e0fdb0436fb8fd57a1ed5f613.html">scar1900</a></li><li class="navelem"><a class="el" href="dir_c8b33409012acfc781ba898892fd3b4c.html">Developer</a></li><li class="navelem"><a class="el" href="dir_0e1030ab80149b7e8d6dfd17946e9c40.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_c9ece41fcb3917ec137dcec44cd0055f.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_3a9521ad7c4429598be7e28fa39d3d14.html">Classes</a></li><li class="navelem"><a class="el" href="dir_c96267196d8d44949132e86db478fb8d.html">XHXCakeView</a></li><li class="navelem"><a class="el" href="_x_h_x_cake_item_view_8h.html">XHXCakeItemView.h</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>